Bug 21877 - up2date-gnome requires pygnome-libglade
up2date-gnome requires pygnome-libglade
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-07 01:08 EST by Derek Poon
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-07 01:08:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Poon 2000-12-07 01:08:33 EST
If pygnome-libglade is not installed, running the GNOME version of up2date
immediately results in an error:

===
# up2date

** WARNING **: unknown widget class 'GnomeDruid'

Gtk-WARNING **: gtk_signal_connect_full(): could not find signal "cancel"
in the `GtkLabel' class ancestry
Traceback (innermost last):
  File "/usr/sbin/up2date", line 394, in ?
    main()
  File "/usr/sbin/up2date", line 381, in main
    gui.main()
  File "/usr/share/rhn/up2date/gui.py", line 626, in main
    gui = Gui()
  File "/usr/share/rhn/up2date/gui.py", line 57, in __init__
    self.setupSkippedList()
  File "/usr/share/rhn/up2date/gui.py", line 126, in setupSkippedList
    window.add(self.skippedArea)
AttributeError: 'None' object has no attribute 'add'

===
However,  the up2date package does not list pygnome-libglade as a
requirement:

# rpm -qR up2date-gnome
up2date = 2.0.6
usermode >= 1.15
redhat-logos  
/etc/pam.d/system-auth  
gpg  
pygnome  
pygtk  
pygtk-libglade  
rhn_register-gnome  
/sbin/chkconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/bin/python  
rpmlib(CompressedFileNames) <= 3.0.4-1
Comment 1 Preston Brown 2000-12-08 15:35:29 EST
very true.  Fixed in forthcoming errata release.

Note You need to log in before you can comment on or make changes to this bug.